Package org.eclipse.emf.spi.cdo

# Interface InternalCDOUserTransaction

All Superinterfaces:
  `CDORollbackable`, `CDOUserTransaction`

All Known Subinterfaces:
  `InternalCDOTransaction`, `InternalCDOXATransaction`

public interface InternalCDOUserTransaction extends CDOUserTransaction
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`InternalCDOUserSavepoint`
`getLastSavepoint()`
Returns the most recently created savepoint.
`InternalCDOUserSavepoint`
`setSavepoint()`
Creates a save point in the `CDOTransaction` that can be used to roll back a part of the transaction

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserTransaction

`commit, commit, rollback`

## Method Details

### setSavepoint

InternalCDOUserSavepoint setSavepoint()
Description copied from interface: `CDOUserTransaction`
Creates a save point in the `CDOTransaction` that can be used to roll back a part of the transaction

Save points do not involve the server side, everything is done on the client side.

Specified by:
  `setSavepoint` in interface `CDOUserTransaction`

### getLastSavepoint

InternalCDOUserSavepoint getLastSavepoint()
Description copied from interface: `CDOUserTransaction`
Returns the most recently created savepoint.

Specified by:
  `getLastSavepoint` in interface `CDOUserTransaction`
Returns:
  the last savepoint, or `null` if none exists.